Bug 165711 - DNS reset when using VPN
DNS reset when using VPN
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-11 10:12 EDT by Kevin DeKorte
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 0.6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-14 13:14:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin DeKorte 2005-08-11 10:12:32 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc3 Firefox/1.0.6

Description of problem:
If I use NetworkManager with my VPN software the DNS service gets reset back to the DNS setup by NetworkManager

Process:
Use NetworkManager to connect to network. Get proper IP and DNS setup.
I use the AT&T Linux client (not publicly available)
I connect to the VPN and my resolve.conf changes to the new settings correctly and my ipsec0 device comes up and is usable. Then after a few mins the DNS is reset back to the values originally set by NetworkManager. So I am still connected to my VPN, but I can't look up any hostnames. Taking NetworkManager out of the loop allows my VPN to work correctly. resolv.conf and any other DNS setting should only be changed/updated when a new wireless network is selected in NetworkManager

Version-Release number of selected component (if applicable):
NetworkManager-0.3.4-1.1.0.fc3

How reproducible:
Always

Steps to Reproduce:
1. Connect with networkmanager
2. Connect to VPN or change resolve.conf to someother setting manually
3. Wait a few mins and DNS will be reset
  

Actual Results:  resolv.conf had values obtained by NetworkManager

Expected Results:  resolv.conf should remain untouched until new network is selected.

Additional info:

Disabling NetworkManager and using iwconfig and ifconfig and dhclient to setup the  wireless network allows the VPN to work correctly.
Comment 1 Kevin DeKorte 2006-06-14 13:14:53 EDT
Appears to work correctly with the NetworkManager in FC5.

Note You need to log in before you can comment on or make changes to this bug.